/*******************************************************************************
* File Name: DeepSleep.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DeepSleep_ALIASES_H) /* Pins DeepSleep_ALIASES_H */
#define CY_PINS_DeepSleep_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define DeepSleep_0			(DeepSleep__0__PC)
#define DeepSleep_0_PS		(DeepSleep__0__PS)
#define DeepSleep_0_PC		(DeepSleep__0__PC)
#define DeepSleep_0_DR		(DeepSleep__0__DR)
#define DeepSleep_0_SHIFT	(DeepSleep__0__SHIFT)
#define DeepSleep_0_INTR	((uint16)((uint16)0x0003u << (DeepSleep__0__SHIFT*2u)))

#define DeepSleep_INTR_ALL	 ((uint16)(DeepSleep_0_INTR))


#endif /* End Pins DeepSleep_ALIASES_H */


/* [] END OF FILE */
